From b43a2e5ee83cda8d41b946eaa7387adc54256893 Mon Sep 17 00:00:00 2001
From: Ashutosh Bapat <ashutosh.bapat@enterprisedb.com>
Date: Wed, 14 Mar 2018 16:29:14 +0530
Subject: [PATCH 2/2] Fix input argument description of
 create_grouping_paths()

Commit b5635948ab165b6070e7d05d111f966e07570d81 added a single
grouping_sets_data argument instead of two lists related to grouping
sets to create_grouping_paths(), but forgot to update the prologue of
the function.

Ashutosh Bapat.
---
 src/backend/optimizer/plan/planner.c |    4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/src/backend/optimizer/plan/planner.c b/src/backend/optimizer/plan/planner.c
index 24e6c46..9c2b115 100644
--- a/src/backend/optimizer/plan/planner.c
+++ b/src/backend/optimizer/plan/planner.c
@@ -3643,9 +3643,7 @@ estimate_hashagg_tablesize(Path *path, const AggClauseCosts *agg_costs,
  * input_rel: contains the source-data Paths
  * target: the pathtarget for the result Paths to compute
  * agg_costs: cost info about all aggregates in query (in AGGSPLIT_SIMPLE mode)
- * rollup_lists: list of grouping sets, or NIL if not doing grouping sets
- * rollup_groupclauses: list of grouping clauses for grouping sets,
- *		or NIL if not doing grouping sets
+ * gd: grouping sets data like list of grouping sets and their grouping clauses
  *
  * Note: all Paths in input_rel are expected to return the target computed
  * by make_group_input_target.
-- 
1.7.9.5

